Bug 537684 - [abrt] crash detected in coreutils-7.6-5.fc12
[abrt] crash detected in coreutils-7.6-5.fc12
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
abrt_hash:1a73e1f61a742e7b9d25ecb453a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-15 13:24 EST by Bart Van Assche
Modified: 2009-11-30 23:35 EST (History)
5 users (show)

See Also:
Fixed In Version: 7.6-7.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-30 23:35:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (494 bytes, text/plain)
2009-11-15 13:24 EST, Bart Van Assche
no flags Details

  None (edit)
Description Bart Van Assche 2009-11-15 13:24:49 EST
abrt detected a crash.

Comment: Not sure about what triggered this crash.
Attached file: backtrace
component: coreutils
executable: /bin/true
kernel: 2.6.31.5-96.fc12.x86_64
package: coreutils-7.6-5.fc12
rating: 1
reason: Process was terminated by signal 11
Comment 1 Bart Van Assche 2009-11-15 13:24:54 EST
Created attachment 369614 [details]
File: backtrace
Comment 2 Ondrej Vasik 2009-11-15 15:30:37 EST
I guess it is similar to https://bugzilla.redhat.com/show_bug.cgi?id=498557 . It seems like argc is 0 and argv[0] is NULL and this causes segmentaion fault of the /bin/true binary. Although this should not happen in common usage, maybe this situation should be handled somehow by gnulib's progname.c and/or by coreutils binaries generally in main(), to make them more safe to use. Jim, what do you think?
Comment 3 Jim Meyering 2009-11-15 16:35:55 EST
Hi Ondrej,

Thanks for the heads-up.  Here's a reply and patch:

http://marc.info/?l=coreutils-bug&m=125832075427611&w=2
Comment 4 Bug Zapper 2009-11-16 10:33:50 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora Update System 2009-11-23 06:20:34 EST
coreutils-7.6-7.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/coreutils-7.6-7.fc12
Comment 6 Fedora Update System 2009-11-25 10:28:53 EST
coreutils-7.6-7.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update coreutils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12163
Comment 7 Fedora Update System 2009-11-30 23:35:13 EST
coreutils-7.6-7.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.